Bug 65521 - openjade ignores sgml (docbook) id tags for output files
openjade ignores sgml (docbook) id tags for output files
Product: Red Hat Linux
Classification: Retired
Component: openjade (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-05-26 16:00 EDT by Dirk Czirpka
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-26 16:00:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dirk Czirpka 2002-05-26 16:00:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
If I convert a sgml-Docbbook file to html, the id-tag for the document is
ignored. With RH 7.2 the id tag is used for the output filename. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Write an docbbook "book"
2. Define for instance "<book id='template' lang="de">"
3. docbook2html <sgml-file>
4. Look at the generated output
5. under RH 7.2 there is an file "template.html"
6. under RH 7.3 there is only the standard file "book1.html"

Actual Results:  output filename is "book1.html"

Expected Results:  output filename "template.html"

Additional info:

other id tags, for instance for chapters, are also ignored
under RH 7.2 these tags were also used for output filenames
Comment 1 Tim Waugh 2002-05-27 03:41:51 EDT
If you need that feature (%use-id-as-filename%), you need to enable it via a 
custom stylesheet.  See http://cyberelk.net/tim/selfdocbook/ for an example of 
how to do that. 
This feature is disabled by default since it is a security risk when used on 
untrusted documents.

Note You need to log in before you can comment on or make changes to this bug.